# Class RelationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.relation.RelationException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidRelationIdException, InvalidRelationServiceException, InvalidRelationTypeException, InvalidRoleInfoException, InvalidRoleValueException, RelationNotFoundException, RelationServiceNotRegisteredException, RelationTypeNotFoundException, RoleInfoNotFoundException, RoleNotFoundException`

public class RelationException extends JMException
This class is the superclass of any exception which can be raised during relation management.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationException()`
  Default constructor, no message put in exception.
  `RelationException(String message)`
  Constructor with given message put in exception.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RelationException

    public RelationException()
    Default constructor, no message put in exception.

  - ### RelationException

    public RelationException(String message)
    Constructor with given message put in exception.
    Parameters:
      `message` - the detail message.